<template>
  <div>
    <div class="grid grid-cols-12 gap-2 mb-2 pb-2 border-b border-grey-default">
      <div class="col-span-3">
        <t-span class="text-black-light" weight="medium" size="text-sm">
          Floor
        </t-span>
      </div>
      <div class="col-span-5">
        <t-span class="text-black-light" weight="medium" size="text-sm">
          Percentage
        </t-span>
      </div>
      <div class="col-span-4">
        <t-span class="text-black-light" weight="medium" size="text-sm">
          Population
        </t-span>
      </div>
    </div>
    <div v-for="item in store.getFloorPopulationSummary" :key="item.name" class="grid grid-cols-12 gap-2 mb-2 pb-2 border-b border-grey-default">
      <div class="col-span-3">
        <t-span class="text-black-default" weight="medium" size="text-sm">
          {{ item.name }}
        </t-span>
      </div>
      <div class="col-span-5">
        <t-span class="text-black-default" weight="medium" size="text-sm">
          {{ item.percentage }}%
        </t-span>
      </div>
      <div class="col-span-4">
        <t-span class="text-black-default" weight="medium" size="text-sm">
          {{ item.totalPassengers }}
        </t-span>
      </div>
    </div>
  </div>
</template>

<script>
import { defineComponent } from '@nuxtjs/composition-api'
import TSpan from '~/components/shared/typography/Span'
import { useBuilding } from '~/store/building'

export default defineComponent({
  components: { TSpan },
  setup() {
    const store = useBuilding()
    return { store }
  },
})
</script>
